#include <iostream>
#include <fstream>
using namespace std;
int main()
{
    ifstream f1;
    f1.open("DE001_3.INP");
    long long n,a[10000],i,max;
    f1>>n;
    max=0;
    for(i=1;i<=n;i++)
    {
        f1>>a[i];
    }
    for(i=0;i<n;i++)
    {
        if(a[i]<0)
        {
            max=a[i];
            break;
        }
    }
    f1.close();
    ofstream f2;
    f2.open("DE001_3.OUT");
    for(i=0;i<n;i++)
    {
        if(a[i]<0 && a[i]>max){max=a[i];}
    }
    f2<<max;
    f2.close();
}
